function findLivePageWidth() {
	if (window.innerWidth)
		return window.innerWidth;
	if (document.body.clientWidth)
		return document.body.clientWidth;
	return (null);
}

function initSlides() {
	objectSlide=document.getElementById('slide');
	objectCover=document.getElementById('cover');
	objectPhotoSlide=document.getElementById('photoSlide');
}


function showSlide(evt) {
	objectPhotoSlide.innerHTML='<img src="' + evt.src +'" id="largePhoto"  alt="Large Photo" border="0" />';
	objectPhotoSlide.innerHTML+='<p>' + evt.alt +'</p>';
	objectLargePhoto=document.getElementById('largePhoto');
	livePageWidth = findLivePageWidth();
	newLeft = ((livePageWidth/2)-8) - (200);
	objectSlide.style.left = newLeft + 'px';
	objectSlide.style.display = 'block';
	objectCover.style.display = 'block';
}


function hideSlide() {
	objectSlide.style.display = 'none';	
	objectCover.style.display = 'none';
}